Skip to main content
`Ctrl`+`K`

# DMStagGetIsFirstRank

get boolean value for whether this rank is first in each direction in the rank grid

## Synopsis

    PetscErrorCode DMStagGetIsFirstRank(DM dm, PetscBool *isFirstRank0, PetscBool *isFirstRank1, PetscBool *isFirstRank2)

Not Collective

## Input Parameter

- dm - the `DMSTAG` object

## Output Parameters

- isFirstRank0 - whether this rank is first in the x direction

- isFirstRank1 - whether this rank is first in the y direction

- isFirstRank2 - whether this rank is first in the z direction

## Note

Arguments corresponding to higher dimensions are ignored for 1D and 2D grids. These arguments may be set to `NULL` in this case.

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `DMStagGetIsLastRank()`

## Level

intermediate

## Location

src/dm/impls/stag/stagutils.c

## Examples

src/dm/impls/stag/tutorials/ex1.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages